## yabar 0.4.0

=== Makefile ===
VERSION = $(shell git describe)
CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_POSIX_C_SOURCE=199309L -DYA_INTERNAL -DYA_DYN_COL \
			-DYA_ENV_VARS -DYA_INTERNAL_EWMH
CFLAGS += -std=c99 -Iinclude -pedantic -Wall -Os `pkg-config --cflags pango pangocairo libconfig`
LDLIBS := -lxcb -lpthread -lxcb-randr -lxcb-ewmh `pkg-config --libs pango pangocairo libconfig`
PROGRAM := yabar
PREFIX ?= /usr
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man

OBJS := $(wildcard src/*.c) $(wildcard src/intern_blks/*.c)
OBJS := $(OBJS:.c=.o)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<
all: $(PROGRAM)
$(PROGRAM): $(OBJS)
	$(CC) -o $@ $^ $(LDLIBS)
install:
	mkdir -p "$(DESTDIR)$(BINPREFIX)"
	cp -pf $(PROGRAM) "$(DESTDIR)$(BINPREFIX)"
	mkdir -p "$(DESTDIR)$(MANPREFIX)"/man1
	cp -pf doc/yabar.1 "$(DESTDIR)$(MANPREFIX)"/man1
uninstall:
	rm -f "$(DESTDIR)$(BINPREFIX)/$(PROGRAM)"
	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/yabar.1
clean:
	rm -f src/*.o $(PROGRAM)

.PHONY: all install uninstall clean

=== debian/changelog ===
yabar (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #827865)
    Thanks to Fabian Wolff and Sean Whitton for their suggestions and hints.
    Special thanks to Michael Stapelberg for sponsoring this package.

 -- Jack Henschel <jh@openmailbox.org>  Tue, 02 Aug 2016 00:34:00 +0200

=== debian/control ===
Source: yabar
Section: x11
Priority: extra
Maintainer: Jack Henschel <jh@openmailbox.org>
Build-Depends:
 debhelper (>=9),
 libcairo2-dev,
 libconfig-dev,
 libpango1.0-dev,
 libxcb-ewmh-dev,
 libxcb-randr0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/geommer/yabar

Package: yabar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-font-awesome
Description: modern and lightweight status bar for X window managers
 Yabar is a modern and lightweight status bar that is intended to be used
 along with minimal X window managers like bspwm and i3.
 .
 Yabar has the following features:
  - Extremely configurable with easy configuration system using a single
    config file.
  - A growing set of ready-to-use internal blocks developed in plain C.
  - Pango font rendering with support of pango markup language.
  - Support for icons and images.
  - Support for transparency.
  - Multi-monitor support using RandR.
  - Entirely clickable.
  - Support for several environment variables to help button commands.
  - Multiple bars within the same session.

=== debian/rules ===
#!/usr/bin/make -f

# export VERSION variable to be used in Makefile (output of yabar -v)
export VERSION = $(shell dpkg-parsechangelog --show-field version)

# Build with harderning flags ( see dpkg-buildflags(1) )
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CFLAGS
export LDLIBS = $(LDFLAGS)

%:
	dh $@ --parallel
